module.exports = (sequelize, type) => {

    const QuestionDiscussion = sequelize.define('question_discussions', {
        id: {
            type: type.INTEGER,
            primaryKey: true,
            autoIncrement: true
        },
        user_id: type.INTEGER,
        test_type: type.ENUM('CAT', 'PRACTICE', 'LIVE', 'KA', 'MIND', 'VIDEO'),
        test_id: type.INTEGER,
        q_id: type.INTEGER,
        message: type.TEXT,
        status: {
            type: type.INTEGER,
            defaultValue: 0
        }
    })
    return QuestionDiscussion;
}